| Haskell Hierarchical Libraries (stm package) | Contents | Index

Control.Concurrent.STM

Portability | non-portable (requires STM)
Stability | experimental
Maintainer | libraries@haskell.org

Contents

The STM monad and basic operations
TVars
TMVars
TChan

Description
Software Transactional Memory: a modular composable concurrency abstraction.
Synopsis

STM
atomically
retry
orElse
check :: Bool -> STM a
catchSTM
module Control.Concurrent.STM.TVar
module Control.Concurrent.STM.TMVar
module Control.Concurrent.STM.TChan

The STM monad and basic operations
STM
atomically
retry
orElse
check :: Bool -> STM a
catchSTM
TVars
module Control.Concurrent.STM.TVar
TMVars
module Control.Concurrent.STM.TMVar
TChan
module Control.Concurrent.STM.TChan
Produced by Haddock version 0.7